TULISAN - Bug #3588

Error Saving dari CRM
05/02/2025 02:14 PM - haykal haykal

Status: Closed Start date: 05/02/2025
Priority: Urgent Due date: 05/05/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,
Saat ini ada error saving dari CRM. Errornya seperti foto yang di-attach.
Tolong bantu diperbaiki ya.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Checkout
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 05/02/2025 03:15 PM - Kezia Pawitra Yulianti
- Due date set to 05/05/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 05/02/2025 05:07 PM - haykal haykal

Dear Developer,

Telah diketahui bahwa penyebab Error Saving tersebut adalah karena ACC Period Controlnya blm pindah ke bulan Mei.
Kalau begitu boleh tolong agar pesan errornya dibikin lebih informatif ya.

Terimakasih.

#3 - 05/06/2025 09:53 AM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddiq

#4 - 05/09/2025 01:42 PM - shofwan shiddiq
- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to haykal haykal

Untuk ini skenario nya, CRM hanya mengirimkan data dan menerima message dari backend, jadi pihak API2/backend yang seharusnya memberikan
message error bukan dari front-end.

Karena kalau di test di aplikasi ES pun, error message yang sama akan tampil di CRM seperti yang di ES.

#5 - 05/13/2025 03:11 PM - haykal haykal
- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Kezia Pawitra Yulianti

#6 - 05/19/2025 10:50 AM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddiq

jadi untuk ini solusinya gmn mksdnya Aa?
#7 - 05/19/2025 02:57 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Kezia Pawitra Yulianti

Ini kan waktu dari front-end ( CRM ) mencoba save ke backend (API2), dapat message error dari backend. nah nanti dari front-end nya hanya
mendisplay message dari backend ( API2).

Jadi kalau memang message nya mau supaya Jjelas, di API 2 backend perlu di berikan message untuk case ini "ACC
Period Belum Sesuai", atau sesuai message yang diinginkan.

Jadi yang perlu di ubah bukan di CRM nya

Untuk lebih gampang nya, coba di buat case seperti ini di ES, dan lihat apakah ada message ACC Period Control
nya atau engga, karena message error nya sudah sama di ES dan CRM

#8 - 05/19/2025 04:31 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to haykal haykal

tolong update seuai diskusi sore ini
Tks

#9 - 05/23/2025 05:28 PM - haykal haykal
- Status changed from QA Test to Closed
